Download it now!
Bug 73043 - FORMATTING: Additional styles are no longer included in the tables of contents
Summary: FORMATTING: Additional styles are no longer included in the tables of contents
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.1 rc
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.3.0 target:4.2.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-12-26 08:57 UTC by pierre-yves samyn
Modified: 2014-01-24 09:41 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot Index with additional styles (6.59 KB, image/png)
2013-12-26 08:57 UTC, pierre-yves samyn
Details
Document with index and additional style (10.17 KB, application/vnd.oasis.opendocument.text)
2013-12-26 08:59 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2013-12-26 08:57:06 UTC
Created attachment 91194 [details]
Screenshot Index with additional styles

Hello

Additional styles are no longer included in the tables of contents

Steps to reproduce:

1. File> New> Text document
2. Format> Styles and formatting (F11) to display the window styles (if it is not already)
3. Paragraph styles: Right click on Heading1 (for instance)> New
4. Give a name (e.g. "CustomH1"), Ok
5. Type some text (e.g. "Foo") in the document
6. Apply "CustomH1"
7. Insert> Indexes and table> Indexes and table> Table of contents
8. Uncheck Create from: Outline
9. Check Additional Styles, click on [...]
10. Select "CustomH1" in the dialog then click once [>>] to bring the style level1, Ok
11. Ok to close the dialog

Expected result: TOC created with one entry "Foo"
Actual result: TOC created empty

12. Save, close, reload the document
13. Right click on index> Edit
14. Additional Styles, click on [...]

Expected result: CustomH1 assigned to level1
Actual result: CustomH1 still in the list (not selected), & "CustomH1_9__9__9__9__9__9__9__9__9__9_" assigned to level 1

See screenshot 

Platform: windows 7/64 Version: 4.2.0.1
Build ID: 7bf567613a536ded11709b952950c9e8f7181a4a

Also reproduced with Version: 4.3.0.0.alpha0+
Build ID: f279acd3678d014d9d5dafe41971e0da4dec7b6c
TinderBox: Win-x86@47-TDF, Branch:master, Time: 2013-12-13_23:25:16

Regression (was ok with 4.1.4)

Regards
Pierre-Yves
Comment 1 pierre-yves samyn 2013-12-26 08:59:13 UTC
Created attachment 91195 [details]
Document with index and additional style
Comment 2 Jacques Guilleron 2013-12-26 17:46:33 UTC
Hello Pierre-Yves,

Reproduced with LO 4.3.0.0.alpha0+ & Windows 7 Home Premium.
Works fine with LO 4.1.3.2.
Set status to New.

Jacques
Comment 3 Commit Notification 2014-01-16 15:18:40 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77a637fb8ddfc4b045b3453f8435822a21198b19

fdo#73043: sw: fix Index/TOC Assign Styles dialog



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-01-16 15:25:24 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c3e7723500275d04177d366b50356807c16e9be1&h=libreoffice-4-2

fdo#73043: sw: fix Index/TOC Assign Styles dialog


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Michael Stahl (CIB) 2014-01-16 15:27:43 UTC
regression from:

commit 77173d8954c370bcaca80b48181c330b759b9517
Author:     Caolán McNamara <caolanm@redhat.com>
AuthorDate: Mon Sep 2 09:15:47 2013 +0100

    rework SwIndexTreeLB to be a SvSimpleTable to make .ui conversion easier
    
    Change-Id: I7ce02cb53e6164e69f0d4efd9863ba16a4fab025

 sw/source/ui/index/cnttab.cxx | 122 +++++++++++++++++-------------------------
 sw/source/ui/index/cnttab.src |  11 ----
 2 files changed, 49 insertions(+), 84 deletions(-)

fixed on master
Comment 6 Commit Notification 2014-01-16 19:59:52 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df11eb3408e627831b1b483f912ed8bb8ce7df0b&h=libreoffice-4-2-0

fdo#73043: sw: fix Index/TOC Assign Styles dialog


It will be available already in LibreOffice 4.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Jean-Baptiste Faure 2014-01-16 20:24:17 UTC
Verified in version 4.2.1.0.0+

Best regards. JBF
Comment 8 pierre-yves samyn 2014-01-24 09:41:06 UTC
Hello

Verified on windows 7/64 with Version: 4.2.0.3
Build ID: c63c03decdf780d8fb80823950665b782ec9ecd0

I close...

Thank you
Regards
Pierre-Yves